Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.util
Class DOMEntityResolverWrapper

    java.lang.Object
      |
      +--weblogic.apache.xerces.util.DOMEntityResolverWrapper

public class DOMEntityResolverWrapper
extends java.lang.Object
implements XMLEntityResolver

This class wraps DOM entity resolver to XNI entity resolver.

See Also:
  `DOMEntityResolver`

Field Summary
`protected org.w3c.dom.ls.DOMEntityResolver` | `fEntityResolver` The DOM entity resolver.

Constructor Summary
`DOMEntityResolverWrapper()` Default constructor.
`DOMEntityResolverWrapper(org.w3c.dom.ls.DOMEntityResolver entityResolver)` Wraps the specified DOM entity resolver.

Method Summary
`org.w3c.dom.ls.DOMEntityResolver` | `getEntityResolver()` Returns the DOM entity resolver.
`XMLInputSource` | `resolveEntity(XMLResourceIdentifier resourceIdentifier)` Resolves an external parsed entity.
`void` | `setEntityResolver(org.w3c.dom.ls.DOMEntityResolver entityResolver)` Sets the DOM entity resolver.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fEntityResolver

    protected org.w3c.dom.ls.DOMEntityResolver fEntityResolver

  The DOM entity resolver.

Constructor Detail

### DOMEntityResolverWrapper

    public DOMEntityResolverWrapper()

  Default constructor.

### DOMEntityResolverWrapper

    public DOMEntityResolverWrapper(org.w3c.dom.ls.DOMEntityResolver entityResolver)

  Wraps the specified DOM entity resolver.

Method Detail

### setEntityResolver

    public void setEntityResolver(org.w3c.dom.ls.DOMEntityResolver entityResolver)

  Sets the DOM entity resolver.

### getEntityResolver

    public org.w3c.dom.ls.DOMEntityResolver getEntityResolver()

  Returns the DOM entity resolver.

### resolveEntity

    public XMLInputSource resolveEntity(XMLResourceIdentifier resourceIdentifier)
                                 throws XNIException,
                                        java.io.IOException

  Resolves an external parsed entity. If the entity cannot be resolved, this method should return null.
  Specified by:
    resolveEntity in interface XMLEntityResolver

  Parameters:
    `resourceIdentifier` - description of the resource to be revsoved
  Throws:
    XNIException - Thrown on general error.
    java.io.IOException - Thrown if resolved entity stream cannot be opened or some other i/o error occurs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD